<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from bigint_p_bigint.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="percentbigint_p_bigint" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>bigint_p_bigint</refname>
    <refpurpose>binary operator &#94; (power) for bigint</refpurpose>
  </refnamediv>


<refsection>
   <title>Parameters</title>
   <variablelist>
        <varlistentry>
            <term>x,y,z:</term>
            <listitem><para> bigint</para></listitem>
        </varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
bigint power using fast exponentiation algorithm
<latex> x^{2k+1}= x\times (x^2)^k</latex>  or   <latex> x^{2k}= (x^2)^k</latex>
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[

format('v',20)
x=bigint('5')
y=bigint('7')
x^7
5^7  // compare with doubles
x=bigint('12345678')
y=bigint('2')
x^y
12345678^2

   ]]></programlisting>
</refsection>

<refsection>
   <title>See also</title>
   <simplelist type="inline">
   <member><link linkend="bigint">bigint</link></member>
   <member><link linkend="div2">div2</link></member>
   <member><link linkend="odd">odd</link></member>
   </simplelist>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Philippe Roux</member>
   </simplelist>
</refsection>
</refentry>
